:root {
  --font-color-1: #1A3C2C;
  --bg-color-blue: #D1E7F1;
  --bg-color-green: #f3fdf7;
}

/* custom bootstrap start */
.btn-primary {
  background-color: var(--font-color-1);
  border-color: var(--font-color-1);
}

.btn-primary:focus {
  background-color: #0f231a;
  border-color: var(--font-color-1) !important;
  box-shadow: none !important;
}

.btn:focus {
  box-shadow: none !important;
}

.btn-primary:hover {
  background-color: #0f231a;
  transition: all .5s;
}

.btn-outline-primary {
  color: var(--font-color-1);
  font-weight: bold;
  border-color: var(--font-color-1);
  border-width: 4px;
  margin: 0 auto !important;
  width: 50%;
  display: block;
  position: relative;
  overflow: hidden;
  background-color: transparent;
  text-align: center;
  text-decoration: none;
}

.btn-outline-primary::before {
  content: '';
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background-color: var(--font-color-1);
  transition: left 0.7s ease;
  z-index: 0;
}

.btn-outline-primary:hover::before {
  left: 0;
}

.btn-outline-primary:hover {
  color: var(--bg-color-green);
  border-color: var(--font-color-1);
  background-color: transparent !important;
}

.btn-outline-primary:hover span {
  position: relative;
  z-index: 1;
}

.btn-check:focus+.btn-outline-primary,
.btn-outline-primary:focus {
  box-shadow: 0 0 0 .25rem #1A3C2C !important;
}

.btn-outline-primary:active {
  color: #fff;
  background-color: #1A3C2C !important;
  border-color: #1A3C2C !important;
  transition: left 0.7s ease;
}

.rounded-custom {
  border-radius: 30px;
}

/* custom bootstrap end */

/* CSS Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  transition: all .5s;
}



/* CSS Reset */

/* CUSTOM SCROLLBAR START */
/* Untuk browser berbasis WebKit (Chrome, Safari, dll.) */
::-webkit-scrollbar {
  width: 8px;
  /* Lebar scrollbar */
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
  /* Warna latar belakang track scrollbar */
}

::-webkit-scrollbar-thumb {
  background: #03bb5a;
  /* Warna hijau untuk thumb scrollbar */
  border-radius: 4px;
  /* Membuat sudut thumb scrollbar lebih bulat */
}

/* Untuk Firefox */
/* scrollbar-width: thin; Membuat scrollbar lebih tipis */
/* scrollbar-color: #4CAF50 #f1f1f1; Warna thumb dan track scrollbar */
/* CUSTOM SCROLLBAR END */

body {
  background-color: var(--bg-color-green);
}

@media (min-width:1100px) {
  .container{
    padding: 0 15px;
    
  }
  
}


.bg-blue {
  background-color: var(--bg-color-blue) !important;
}

.bg-white {
  background-color: #fff !important;
}

.bg-green {
  background-color: var(--bg-color-green) !important;
}

.bg-green-dark {
  background-color: var(--font-color-1) !important;
}

::selection {
  background-color: #15B785;
  color: #ffffff;
}

/* Untuk Mozilla Firefox */
::-moz-selection {
  background-color: #15B785;
  color: #ffffff;
}

 /*--------------------------------------------------------------
  # Portfolio Section
  --------------------------------------------------------------*/
  .portfolio .portfolio-filters {
    padding: 0;
    margin: 0 auto 20px auto;
    list-style: none;
    text-align: center;
  }
  
  .portfolio .portfolio-filters li {
    cursor: pointer;
    display: inline-block;
    padding: 8px 20px 10px 20px;
    margin: 0;
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
    margin-bottom: 5px;
    border-radius: 4px;
    transition: all 0.3s ease-in-out;
    font-family: var(--heading-font);
  }
  
  .portfolio .portfolio-filters li:hover,
  .portfolio .portfolio-filters li.filter-active {
    color: var(--contrast-color);
    background-color: var(--accent-color);
  }
  
  .portfolio .portfolio-filters li:first-child {
    margin-left: 0;
  }
  
  .portfolio .portfolio-filters li:last-child {
    margin-right: 0;
  }
  
  @media (max-width: 575px) {
    .portfolio .portfolio-filters li {
      font-size: 14px;
      margin: 0 0 10px 0;
    }
  }
  
  .portfolio .portfolio-item {
    position: relative;
    overflow: hidden;
  }
  .portfolio img {
   border-radius: 30px;
  }
  .portfolio .portfolio-item .portfolio-info {
    opacity: 0;
    position: absolute;
    left: 12px;
    right: 12px;
    bottom: -100%;
    z-index: 3;
    transition: all ease-in-out 0.5s;
    background: rgba(235, 237, 243, 0.9);
    padding: 15px;
    border-radius: 30px;
  }
  
  .portfolio .portfolio-item .portfolio-info h4 {
    font-size: 18px;
    font-weight: 600;
    padding-right: 50px;
  }
  
  .portfolio .portfolio-item .portfolio-info p {
    color: color-mix(in srgb, var(--default-color), transparent 30%);
    font-size: 14px;
    margin-bottom: 0;
    padding-right: 50px;
  }
  
  .portfolio .portfolio-item .portfolio-info .preview-link,
  .portfolio .portfolio-item .portfolio-info .details-link {
    position: absolute;
    right: 50px;
    font-size: 24px;
    top: calc(50% - 14px);
    color: color-mix(in srgb, var(--default-color), transparent 30%);
    transition: 0.3s;
    line-height: 0;
  }
  
  .portfolio .portfolio-item .portfolio-info .preview-link:hover,
  .portfolio .portfolio-item .portfolio-info .details-link:hover {
    color: var(--accent-color);
  }
  
  .portfolio .portfolio-item .portfolio-info .details-link {
    right: 14px;
    font-size: 28px;
  }
  
  .portfolio .portfolio-item:hover .portfolio-info {
    opacity: 1;
    bottom: 0;
  }

  
  /*--------------------------------------------------------------
  # Services Section
  --------------------------------------------------------------*/
  .services .service-item {
    background-color: var(--bg-color-green);
    text-align: center;
    border: 1px solid color-mix(in srgb, var(--font-color-1), transparent 85%);
    padding: 80px 20px;
    transition: border ease-in-out 0.3s;
    height: 100%;
    border-radius: 40px;
  }

  .services .service-item2 {
    background-color: var(--bg-color-green);
    text-align: center;
    border: 1px solid color-mix(in srgb, var(--font-color-1), transparent 85%);
    padding: 20px 20px;
    transition: border ease-in-out 0.3s;
    height: 100%;
    border-radius: 40px;
  }
  
  
  .services .service-item .icon {
    margin: 0 auto;
    width: 64px;
    height: 64px;
    background:  #03bb5a;
    color: white;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    transition: 0.3s;
  }
  
  .services .service-item .icon i {
    color: var(--contrast-color);
    font-size: 28px;
    transition: ease-in-out 0.3s;
  }
  
  .services .service-item h3 {
    font-weight: 700;
    margin: 10px 0 15px 0;
    font-size: 22px;
    transition: 0.3s;
  }
  
  .services .service-item p {
    line-height: 24px;
    font-size: 14px;
    margin-bottom: 0;
  }
  
  .services .service-item:hover {
    border-color: #03bb5a;
  }
  
  .services .service-item:hover h3 {
    color: #03bb5a;
  }


  .services .service-item2 .icon {
    margin: 0 auto;
    width: 64px;
    height: 64px;
    background:  #03bb5a;
    color: white;
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    transition: 0.3s;
  }
  
  .services .service-item2 .icon i {
    color: var(--contrast-color);
    font-size: 28px;
    transition: ease-in-out 0.3s;
  }
  
  .services .service-item2 h3 {
    font-weight: 700;
    margin: 10px 0 15px 0;
    font-size: 22px;
    transition: 0.3s;
  }
  
  .services .service-item2 p {
    line-height: 24px;
    font-size: 14px;
    margin-bottom: 0;
  }
  
  .services .service-item2:hover {
    border-color: #03bb5a;
  }
  
  .services .service-item2:hover h3 {
    color: #03bb5a;
  }